# Uses of Class
it.tdlight.jni.TdApi.VoiceNote

## Uses of TdApi.VoiceNote in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.VoiceNote
Modifier and Type
Field
Description
`TdApi.VoiceNote`
TdApi.InlineQueryResultVoiceNote.`voiceNote`
Voice note.
`TdApi.VoiceNote`
TdApi.MessageVoiceNote.`voiceNote`
The voice note description.
`TdApi.VoiceNote`
TdApi.PageBlockVoiceNote.`voiceNote`
Voice note; may be null.
`TdApi.VoiceNote`
TdApi.PushMessageContentVoiceNote.`voiceNote`
Message content; may be null.
`TdApi.VoiceNote`
TdApi.WebPage.`voiceNote`
Preview of the content as a voice note, if available; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.VoiceNote
Modifier
Constructor
Description
``
`InlineQueryResultVoiceNote(String id, TdApi.VoiceNote voiceNote, String title)`
Represents a voice note.
``
`MessageVoiceNote(TdApi.VoiceNote voiceNote, TdApi.FormattedText caption, boolean isListened)`
A voice note message.
``
`PageBlockVoiceNote(TdApi.VoiceNote voiceNote, TdApi.PageBlockCaption caption)`
A voice note.
``
`PushMessageContentVoiceNote(TdApi.VoiceNote voiceNote, boolean isPinned)`
A voice note message.
``
`WebPage(String url, String displayUrl, String type, String siteName, String title, TdApi.FormattedText description, TdApi.Photo photo, String embedUrl, String embedType, int embedWidth, int embedHeight, int duration, String author, boolean hasLargeMedia, boolean showLargeMedia, boolean skipConfirmation, boolean showAboveText, TdApi.Animation animation, TdApi.Audio audio, TdApi.Document document, TdApi.Sticker sticker, TdApi.Video video, TdApi.VideoNote videoNote, TdApi.VoiceNote voiceNote, long storySenderChatId, int storyId, int instantViewVersion)`
Describes a link preview.